#
# spec file for package python-gstreamer-0_10
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-gstreamer-0_10
%define _name gst-python
BuildRequires:  fdupes
BuildRequires:  gstreamer-0_10-plugins-base-devel
BuildRequires:  python-devel
BuildRequires:  python-gtk-devel
%ifarch %ix86 ppc x86_64
BuildRequires:  valgrind
%endif
Url:            http://www.gstreamer.net/
Summary:        Python Bindings for GStreamer
License:        LGPL-2.1+
Group:          Development/Languages/Python
Version:        0.10.22
Release:        10.3
Source:         http://gstreamer.freedesktop.org/src/gst-python/%{_name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       gstreamer-0_10 >= 0.10.24
Requires:       python-gtk
# Name up to 10.3:
Provides:       python-gstreamer010 = %{version}
Obsoletes:      python-gstreamer010 < %{version}
Provides:       %{name}-devel = %{version}-%{release}
%{py_requires}

%description
This module contains a wrapper that allows GStreamer applications to be
written in Python.

%package devel
Summary:        Python Bindings for GStreamer
Group:          Development/Languages/Python
Requires:       %{name} = %{version}
Requires:       gstreamer-0_10-devel
Requires:       python-gtk-devel

%description devel
This module contains a wrapper that allows GStreamer applications to be
written in Python.

%prep
%setup -q -n %{_name}-%{version}

%build
%configure
make %{?jobs:-j%jobs}

%install
%makeinstall
find $RPM_BUILD_ROOT -name '*.la' -or -name '*.a' | xargs rm -v
%fdupes $RPM_BUILD_ROOT/%{py_sitedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README RELEASE TODO
%{_libdir}/gstreamer-0.10/*.so
%{py_sitedir}/gst-0.10/
%{py_sitedir}/pygst.*
%{py_sitedir}/*.so
# we explicitly list the directories here to be sure we don't include something
# that should live in the devel package
%dir %{_datadir}/%{_name}
%dir %{_datadir}/%{_name}/0.10
%{_datadir}/%{_name}/0.10/examples/

%files devel
%defattr(-,root,root)
%{_includedir}/gstreamer-0.10/gst/pygst*.h
%{_libdir}/pkgconfig/*.pc
# we explicitly list the directories here to be sure we don't include something
# that should live in the main package
%dir %{_datadir}/%{_name}
%dir %{_datadir}/%{_name}/0.10
%{_datadir}/%{_name}/0.10/defs/

%changelog
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Tue Nov 15 2011 vuntz@opensuse.org
- Update to version 0.10.22:
  + pad probes working properly with recent GStreamer
  + fixes for encoding profiles and encodebin
  + build fixes
  + install pygst.h, pygstminiobject.h and other headers so they
    can be used by other python bindings such the ones for
    gstreamer-editing-services
  + Bugs fixed: bgo#587432, bgo#639421, bgo#639423, bgo#639427,
    bgo#640207, bgo#640341, bgo#640410, bgo#640837, bgo#649227,
    bgo#650986, bgo#650987, bgo#656289, bgo#657435.
* Thu Jun  9 2011 vuntz@opensuse.org
- Drop python-gnome Requires: it was only there for the gnome-vfs
  bindings, and they are not used anymore.
* Fri May  6 2011 dimstar@opensuse.org
- Update to version 0.10.21:
  + gstreamer core/base 0.10.32 API additions
  + Fix GstDiscover methods.
* Tue Dec  7 2010 vuntz@opensuse.org
- Update to version 0.10.20:
  + libpython loading fixes
  + MacOSX standard python support
* Sun Aug  8 2010 vuntz@opensuse.org
- Move some files to devel subpackage.
* Fri Aug  6 2010 vuntz@opensuse.org
- Update to version 0.10.19:
  + Updates to 0.10.29/0.10.30 core/base API addition.
* Mon Mar  8 2010 dimstar@opensuse.org
- Update to version 0.10.18:
  + Updates to 0.10.26 core/base API addition
  + Bugs fixed:
  - bgo#592459: info.print_info() uses info.tags.pop() to get
    values, but pop is destructive, so calling print_info
    twice can return different results
  - bgo#599818: Import of pygst fails with Element missing
* Wed Dec  2 2009 vuntz@opensuse.org
- Update to version 0.10.17:
  + Fix leak in gst_base_sink_get_last_buffer()
  + Fix linking of pygstminiobject
  + Add test_audio.py example
  + Fix deadlocks calling gst_pad_link()
  + Bugs fixed:
  - bgo#590348 : [audio (and other modules)] can't use
    pygstminiobject !
  - bgo#590803 : checks fail in non-English locale
  - bgo#592447 : memory leak on certain pipelines with appsink
* Wed Aug 12 2009 sbrabec@suse.cz
- Updated to version 0.10.16:
  * Update bindings for GStreamer 0.10.24
  * Fixes for the python plugin loader
  * Bugs fixed: bgo#580992, bgo#583378, bgo#583607, bgo#584445.
* Sun May 17 2009 vuntz@novell.com
- Update to version 0.10.15:
  + Support new API in core/base
  + Fixes for python 2.6
  + Other bug-fixes and improvements
  + Bugs fixed: bgo#304361, bgo#576145, bgo#514717, bgo#571156,
    bgo#571380, bgo#572487, bgo#574251, bgo#574258, bgo#574272,
    bgo#576505, bgo#577735, bgo#578435, bgo#578731, bgo#578848,
    bgo#579183, bgo#579325, bgo#579383, bgo#581546, bgo#581729,
    bgo#581737, bgo#579416, bgo#579455, bgo#576546
* Thu May  7 2009 vuntz@novell.com
- Remove AutoReqProv: it's default now.
- Do not call autoreconf: we don't need this.
- Split devel package.
* Thu Feb  5 2009 vuntz@novell.com
- Update to version 0.10.14:
  + Handle keep-refcount for GBoxed arguments
  + Mark gst.message* that take ownership of the
    gst.Structure/gst.TagList
  + Wrap new API in Core and Base
  + Various other bug fixes and improvements
  + Bugs fixed: bgo#543961, bgo#553131, bgo#553134, bgo#554545,
    bgo#556054, bgo#559406, bgo#559768, bgo#564580, bgo#566903
* Fri Oct 24 2008 maw@suse.de
- Update to version 0.10.13:
  + Make gst.Fraction do simplification like GstFraction does in C
  + Wrap gst_type_find_register
  + Updated for GStreamer 0.10.21 API
  + Updated docs
  + Bugs fixed:
  + Bugs fixed: bgo#529728, bgo#529731, bgo#531697, bgo#532809,
    bgo#534888, bgo#553131, bgo#553134, bgo#461838, bgo#517993,
    bgo#540221, bgo#546689, and bgo#549450.
* Fri Oct  3 2008 vuntz@novell.com
- Build fix: package gstoption.so
- Use fdupes for .pyc and .pyo files.
* Tue Apr  8 2008 sbrabec@suse.cz
- Fixed Obsoletes (bnc#357153).
* Thu Apr  3 2008 hpj@suse.de
- Upgraded to version 0.10.11:
  * Wrap gst.Pad.start_task.
  * New videomixer example.
  * Remove redundand python_do_pending_calls timer.
  * Fix memleak in Pad.set_blocked_async().
  * Wrap new API for 0.10.16 GStreamer and Base releases.
  * New gst.pbutils module wraps the gst-plugins-base pbutils library.
  * Rework gst_pad_add_*probe function wrapping to avoid leaks.
  * Wrap -base utils helper library.
  * Fix Pad probes leaking refs to their data.
  * Fix generated win32/common/config.h missing defines.
  * Fix build failure due to missing Python.h.
  * Various other fixes.
* Thu Jan 24 2008 sbrabec@suse.cz
- Updated to version 0.10.9:
  * Major crasher fixed when using latest pygobject
  * Added wrapping for 0.10.15 gstreamer core/base
  * Bug fixes
- Rename package according to shared library packaging policy
  (#223286).
* Mon Sep 17 2007 sbrabec@suse.cz
- Updated to version 0.10.8:
  * many bug fixes
* Wed Jun 20 2007 sbrabec@suse.cz
- Updated to version 0.10.7:
  * Threadsafe fix
  * Can now build without requiring pygtk and its dependencies
  * Installation fixes
  * Now requires glib >= 2.8
  * Switch to up-to-date pygtk codegenerator
  * Many bugs fixed
* Sat Dec 23 2006 james@usr-local-bin.org
- add pygst.* to files
* Tue Dec 19 2006 sbrabec@suse.cz
- Spec file cleanup.
* Wed Aug 16 2006 cthiel@suse.de
- buildrequire python-gtk-devel instead of python-gtk
* Mon Jun 26 2006 sbrabec@suse.cz
- Updated to version 0.10.4:
  * Conditional compile of core API additions
  * wrapped gst.BaseSrc and gst.PushSrc
  * API added: gst.get_gst_version(), gst.get_pygst_version()
  * Backwards compatibility with older GStreamer installations
  * Wrapping of new API in GStreamer
  * Bug-fixes and enhancements
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 ro@suse.de
- prevent gstreamer installation (using -gstreamer in nfb)
* Wed Jan 18 2006 sbrabec@suse.cz
- Updated to version 0.10.2.
* Thu Jan  5 2006 sbrabec@suse.cz
- Require python-gnome (for gnomevfs module).
* Tue Jan  3 2006 sbrabec@suse.cz
- Branched python-gstreamer010 and updated to version 0.10.1.
* Tue Dec  6 2005 sbrabec@suse.cz
- New SuSE package, version 0.8.2.
